Organizations
Organizations define the company context for API activity. Use organization endpoints to inspect the account associated with the current credential.
GET
/v1/organizations/currentGet Current Organization
Returns the organization associated with the API key on the request. Use it to confirm which account a credential belongs to, and to obtain the organization's id for endpoints that address an organization by path.
GET
/v1/organizations/currentcurl https://api.fleetbase.io/v1/organizations/current \
-H "Authorization: Bearer flb_live_…"GET
/v1/organizationsList Organizations
Lists organizations available for driver onboarding and organization selection.
Query parameters
limitintegeroptionalMaximum number of organizations to return.
with_driver_onboardbooleanoptionalIncludes organization driver-onboarding data when available.
GET
/v1/organizationscurl https://api.fleetbase.io/v1/organizations?limit=10&with_driver_onboard=false \
-H "Authorization: Bearer flb_live_…"